Debian Bug report logs - #641387
geos: FTBFS on armhf

version graph

Package: geos; Maintainer for geos is Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>;

Reported by: Konstantinos Margaritis <markos@genesi-usa.com>

Date: Tue, 13 Sep 2011 06:00:02 UTC

Severity: important

Tags: patch

Found in version 3.2.2-3

Fixed in versions geos/3.2.2-3.1, geos/3.3.1-1

Done: Francesco Paolo Lovergine <frankie@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>:
Bug#641387; Package geos. (Tue, 13 Sep 2011 06:00:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Konstantinos Margaritis <markos@genesi-usa.com>:
New Bug report received and forwarded. Copy sent to Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>. (Tue, 13 Sep 2011 06:00:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Konstantinos Margaritis <markos@genesi-usa.com>
To: submit <submit@bugs.debian.org>
Subject: geos: FTBFS on armhf
Date: Tue, 13 Sep 2011 08:56:38 +0300
[Message part 1 (text/plain, inline)]
Package: geos
Version: 3.2.2-3
Severity: important
Tags: patch

Hi,

geos fails on armhf, the build log is here:

http://buildd.debian-ports.org/status/fetch.php?pkg=geos&arch=armhf&ver=3.2.2-3&stamp=1312272109

since armhf is similar to armel but with a different triplet
(arm-linux-gnueabihf), the simple attached patch fixes the problem.

Regards

Konstantinos
[geos_armhf.diff (text/x-diff, attachment)]

Added tag(s) pending. Request was from Konstantinos Margaritis <markos@debian.org> to control@bugs.debian.org. (Wed, 11 Jan 2012 17:24:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>:
Bug#641387; Package geos. (Wed, 11 Jan 2012 17:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Konstantinos Margaritis <markos@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>. (Wed, 11 Jan 2012 17:33:03 GMT) Full text and rfc822 format available.

Message #12 received at 641387@bugs.debian.org (full text, mbox):

From: Konstantinos Margaritis <markos@debian.org>
To: 641387@bugs.debian.org
Subject: geos: diff for NMU version 3.2.2-3.1
Date: Wed, 11 Jan 2012 20:46:14 +0000
[Message part 1 (text/plain, inline)]
tags 641387 + pending
thanks

Dear maintainer,

I've prepared an NMU for geos (versioned as 3.2.2-3.1) and
uploaded it to DELAYED/5. Please feel free to tell me if I
should delay it longer.

Regards.

Konstantinos
[geos-3.2.2-3.1-nmu.diff (text/x-diff, attachment)]

Reply sent to Konstantinos Margaritis <markos@genesi-usa.com>:
You have taken responsibility. (Mon, 16 Jan 2012 19:33:07 GMT) Full text and rfc822 format available.

Notification sent to Konstantinos Margaritis <markos@genesi-usa.com>:
Bug acknowledged by developer. (Mon, 16 Jan 2012 19:33:07 GMT) Full text and rfc822 format available.

Message #17 received at 641387-close@bugs.debian.org (full text, mbox):

From: Konstantinos Margaritis <markos@genesi-usa.com>
To: 641387-close@bugs.debian.org
Subject: Bug#641387: fixed in geos 3.2.2-3.1
Date: Mon, 16 Jan 2012 19:32:22 +0000
Source: geos
Source-Version: 3.2.2-3.1

We believe that the bug you reported is fixed in the latest version of
geos, which is due to be installed in the Debian FTP archive:

geos_3.2.2-3.1.debian.tar.gz
  to main/g/geos/geos_3.2.2-3.1.debian.tar.gz
geos_3.2.2-3.1.dsc
  to main/g/geos/geos_3.2.2-3.1.dsc
libgeos-3.2.2_3.2.2-3.1_armhf.deb
  to main/g/geos/libgeos-3.2.2_3.2.2-3.1_armhf.deb
libgeos-c1_3.2.2-3.1_armhf.deb
  to main/g/geos/libgeos-c1_3.2.2-3.1_armhf.deb
libgeos-dbg_3.2.2-3.1_armhf.deb
  to main/g/geos/libgeos-dbg_3.2.2-3.1_armhf.deb
libgeos-dev_3.2.2-3.1_armhf.deb
  to main/g/geos/libgeos-dev_3.2.2-3.1_armhf.deb
libgeos-doc_3.2.2-3.1_all.deb
  to main/g/geos/libgeos-doc_3.2.2-3.1_all.deb
libgeos-ruby1.8_3.2.2-3.1_armhf.deb
  to main/g/geos/libgeos-ruby1.8_3.2.2-3.1_armhf.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 641387@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Konstantinos Margaritis <markos@genesi-usa.com> (supplier of updated geos package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 11 Jan 2012 16:10:30 +0000
Source: geos
Binary: libgeos-dev libgeos-c1 libgeos-3.2.2 libgeos-doc libgeos-ruby1.8 libgeos-dbg
Architecture: source all armhf
Version: 3.2.2-3.1
Distribution: unstable
Urgency: low
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Changed-By: Konstantinos Margaritis <markos@genesi-usa.com>
Description: 
 libgeos-3.2.2 - Geometry engine for Geographic Information Systems - C++ Library
 libgeos-c1 - Geometry engine for Geographic Information Systems - C Library
 libgeos-dbg - Debugging symbols for the GEOS library
 libgeos-dev - Geometry engine for GIS - Development files
 libgeos-doc - Documentation for the GEOS GIS geometry engine library
 libgeos-ruby1.8 - GEOS bindings for Ruby
Closes: 641387
Changes: 
 geos (3.2.2-3.1) unstable; urgency=low
 .
   * NMU, fix FTBFS for armhf (Closes: #641387)
Checksums-Sha1: 
 c9568a26cbab8b1eedbce9958669646c7cde2f6e 2146 geos_3.2.2-3.1.dsc
 eed3d2b7cf027c1680a76e6fe631db6c88c8dfd3 10686 geos_3.2.2-3.1.debian.tar.gz
 a88a3827bfb6c32e4f23eab162bfd657c42fe00c 1493302 libgeos-doc_3.2.2-3.1_all.deb
 e37f64ffcec2ef3d0f3e999d0c54c1be4abb98ee 1247090 libgeos-dev_3.2.2-3.1_armhf.deb
 fe3456774f1747132837829b8decb4a6edeb100c 128630 libgeos-c1_3.2.2-3.1_armhf.deb
 4a7d421f279db322537c97caa483f0517d22e3a0 498040 libgeos-3.2.2_3.2.2-3.1_armhf.deb
 46bdc0bad319b51c18990f66952336571d9e49bc 300502 libgeos-ruby1.8_3.2.2-3.1_armhf.deb
 5309142b9e1d1ad5d0b25207a2fb03d692057ddb 5131464 libgeos-dbg_3.2.2-3.1_armhf.deb
Checksums-Sha256: 
 935338c07b70dc5ca0644c05adbc82f1e451743e6b5187ddf67e5fef28f23ba6 2146 geos_3.2.2-3.1.dsc
 561e8770793cc8fc558822e9e79617240cfbc2bfdbc64f5e9a2b60b8ed540209 10686 geos_3.2.2-3.1.debian.tar.gz
 2df8ab5a84da83d94447654e1724810b52355bbf663f733b0c60239b5db4858a 1493302 libgeos-doc_3.2.2-3.1_all.deb
 88c05ce800dfc6efa6194c30d37e8435ca19280a3ef8777bdf13097bf1729daf 1247090 libgeos-dev_3.2.2-3.1_armhf.deb
 6f5c51cb8f901fb7769b07f25208d025f7521803799dcb63adc16ef241eb90bf 128630 libgeos-c1_3.2.2-3.1_armhf.deb
 3910bb9a42a69af5fd4ba8e0449fb3e97c4d57193f6944ab2b0f320c63d9ca26 498040 libgeos-3.2.2_3.2.2-3.1_armhf.deb
 a35f90f798a6b27a2251e9c49a18dac380e628acb986b4b2ea893ec49dc11aaf 300502 libgeos-ruby1.8_3.2.2-3.1_armhf.deb
 6a81bc27717329b372d73c251d1b23dd2aaf07b47cf45812d1be187c4dcc5222 5131464 libgeos-dbg_3.2.2-3.1_armhf.deb
Files: 
 d9d5c3f2f469c70842a34c4d9d461240 2146 science optional geos_3.2.2-3.1.dsc
 a14983fa17cc4e1153dc322e3f41ba86 10686 science optional geos_3.2.2-3.1.debian.tar.gz
 26326c89b142dbcb7b7efae189e57263 1493302 doc optional libgeos-doc_3.2.2-3.1_all.deb
 6503dc4be75a693eeb4f22e112795f0b 1247090 libdevel optional libgeos-dev_3.2.2-3.1_armhf.deb
 1de9ba1f3a9e113efba3f441f67472fe 128630 libs optional libgeos-c1_3.2.2-3.1_armhf.deb
 1c28adffedd11de898fde10b01c4f76f 498040 libs optional libgeos-3.2.2_3.2.2-3.1_armhf.deb
 5a9c1b980e561fec6c58da0ca1f0f58b 300502 ruby optional libgeos-ruby1.8_3.2.2-3.1_armhf.deb
 8183640fc6ea771a5561715de01289ea 5131464 debug extra libgeos-dbg_3.2.2-3.1_armhf.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJPDgjAAAoJEGYGAn9kNxJM2JYP/AihNc4DRcTwLMQNdfR88BmS
OOSWZIp5efngQws7cAveXyyX1d5ghsKR+uX9Dt3ABky0g5iXYv5z6+/9F7AXHM3Z
gsfcv2JY7jy1PaWF544NGrFmuzs85zGbh+4aioHN9TqT1ZzcdZ4LGPt8CobXJVR5
RSmpRG/XYhthDkKsqPegFeeSgohzzhw2Wxm5lDyrkG3gysBGhaRX93bByg1rhmsn
Oc/nk+koj0/9yEJ3CKEKVXgrdQoFPcvUf6g1Kc4ev4NqRUh/USpqwMD+Ynwi3K9b
/zKlvS3RG+GzadWcQplJQvOL3y8kMuZCx5rSqmdv1hj1PhXbRnI1qk2YYfU/Sc/U
5pgYgOtR5qO5JJpbnM+CfLiRQYAUh/YZ6mvvd3yX5EInluU9+0VC+APKhWnkyE15
9ubPeuH0CWMXvNbvgrTeR+sd8W0AzhFGs6MZWFpcV+vOid0U5xIVO8plf0tgyDbm
Ba5C5ivR/LqjmChJMyHmnurRSgFlIXvzdz6Q7bBodSrI3NlfP/+XRB4PffdmHAFH
F4gIkj2tgzRuPp7NXMFqlpY8bkyFWqLiAG8XzgAHSWh+EGqNm2PLNktf16uzjUwU
8F/hh6dj1PkwvuqSji71cOSDXAp0CF9kKc+UluV9MihHM6rkTSFyn4MOoseyH9N6
wPkRde3snejd/A+1pgpJ
=qdqE
-----END PGP SIGNATURE-----





Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Wed, 22 Feb 2012 19:06:04 GMT) Full text and rfc822 format available.

Reply sent to Francesco Paolo Lovergine <frankie@debian.org>:
You have taken responsibility. (Sun, 26 Feb 2012 13:19:54 GMT) Full text and rfc822 format available.

Notification sent to Konstantinos Margaritis <markos@genesi-usa.com>:
Bug acknowledged by developer. (Sun, 26 Feb 2012 13:19:56 GMT) Full text and rfc822 format available.

Message #24 received at 641387-close@bugs.debian.org (full text, mbox):

From: Francesco Paolo Lovergine <frankie@debian.org>
To: 641387-close@bugs.debian.org
Subject: Bug#641387: fixed in geos 3.3.1-1
Date: Sun, 26 Feb 2012 13:18:19 +0000
Source: geos
Source-Version: 3.3.1-1

We believe that the bug you reported is fixed in the latest version of
geos, which is due to be installed in the Debian FTP archive:

geos_3.3.1-1.debian.tar.gz
  to main/g/geos/geos_3.3.1-1.debian.tar.gz
geos_3.3.1-1.dsc
  to main/g/geos/geos_3.3.1-1.dsc
geos_3.3.1.orig.tar.gz
  to main/g/geos/geos_3.3.1.orig.tar.gz
libgeos++-dev_3.3.1-1_i386.deb
  to main/g/geos/libgeos++-dev_3.3.1-1_i386.deb
libgeos-3.3.1_3.3.1-1_i386.deb
  to main/g/geos/libgeos-3.3.1_3.3.1-1_i386.deb
libgeos-c1_3.3.1-1_i386.deb
  to main/g/geos/libgeos-c1_3.3.1-1_i386.deb
libgeos-dbg_3.3.1-1_i386.deb
  to main/g/geos/libgeos-dbg_3.3.1-1_i386.deb
libgeos-dev_3.3.1-1_i386.deb
  to main/g/geos/libgeos-dev_3.3.1-1_i386.deb
libgeos-doc_3.3.1-1_all.deb
  to main/g/geos/libgeos-doc_3.3.1-1_all.deb
libgeos-ruby1.8_3.3.1-1_i386.deb
  to main/g/geos/libgeos-ruby1.8_3.3.1-1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 641387@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Francesco Paolo Lovergine <frankie@debian.org> (supplier of updated geos package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 22 Feb 2012 14:20:57 +0100
Source: geos
Binary: libgeos-dev libgeos++-dev libgeos-c1 libgeos-3.3.1 libgeos-doc libgeos-ruby1.8 libgeos-dbg
Architecture: source all i386
Version: 3.3.1-1
Distribution: unstable
Urgency: low
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Changed-By: Francesco Paolo Lovergine <frankie@debian.org>
Description: 
 libgeos++-dev - Geometry engine for GIS - C++ development files
 libgeos-3.3.1 - Geometry engine for Geographic Information Systems - C++ Library
 libgeos-c1 - Geometry engine for Geographic Information Systems - C Library
 libgeos-dbg - Debugging symbols for the GEOS library
 libgeos-dev - Geometry engine for GIS - Development files
 libgeos-doc - Documentation for the GEOS GIS geometry engine library
 libgeos-ruby1.8 - GEOS bindings for Ruby
Closes: 641387 643658 648611
Changes: 
 geos (3.3.1-1) unstable; urgency=low
 .
   * New upstream major release.
     (closes: #648611)
   * Changed the C/C++ chain for development. See NEWS file for an explanation.
     Thanks strk for a useful discussion about that.
     (closes: #643658)
   * Patches refreshed and merged with upstream changes.
   * Added patch geos-config to fix library paths. This is coherent with
     upstream approach too.
   * Moved the C++ headers under libgeos++-dev automagically and added a break
     against the old libgeos-dev all-in-one package.
   * The libgeos++-dev package depends on libgeos-dev for a couple of reasons:
       - a common header (geos/extern.h)
       - a program using C++ API could mixup C and C++ APIs so better being
         safe about that.
   * Merged NMU change in debian/rules to fix armhf FTBS.
     (closes: #641387)
Checksums-Sha1: 
 8499a494e734fabaeb50e67b689142e39ca10fbf 1550 geos_3.3.1-1.dsc
 a364250ff6701a7fcf536e2d0feb07417bb05400 2530795 geos_3.3.1.orig.tar.gz
 e41c9f96c76e250d3f336b5f09f41c0fe06666b9 11554 geos_3.3.1-1.debian.tar.gz
 37469b001effd60f7d77c1cc88d2edfb1b771e89 1613620 libgeos-doc_3.3.1-1_all.deb
 6e39e1da5ae789724c92ea7f62097b23d26517cb 188218 libgeos-dev_3.3.1-1_i386.deb
 613d1c69f98297ff22a7e1255493c8eb7a35403c 1353166 libgeos++-dev_3.3.1-1_i386.deb
 e9ac5db9b589ebd88643e39bc19ccb8f58c4c0a6 172896 libgeos-c1_3.3.1-1_i386.deb
 0940c39edf8d7ea2c959bdd3269bd311982d989d 667376 libgeos-3.3.1_3.3.1-1_i386.deb
 c371258b60c8c0f66bf656c74821c4d466ed7cf4 330456 libgeos-ruby1.8_3.3.1-1_i386.deb
 1f0ca4396be9788996466c0ff1d9b2492602560e 5640296 libgeos-dbg_3.3.1-1_i386.deb
Checksums-Sha256: 
 382a171c012ab37c6fa6df3f0d73d5d57df2ccecae69a0dc67e19e30420a005b 1550 geos_3.3.1-1.dsc
 5580fa19f85d2230feb8d935b1b1d21855277c2d5dce8ca23322a99a8c6e74a0 2530795 geos_3.3.1.orig.tar.gz
 01206cd28590ce4c6e89551a502a96e4588242e2eed251f14cd76820a89b7bb0 11554 geos_3.3.1-1.debian.tar.gz
 87dededa290ef2b6d1b769443ce162a0c95c3650557144747c141611f1ef5ab1 1613620 libgeos-doc_3.3.1-1_all.deb
 4ae9bc1261c5cbf05fcf7555a84585aaad977560a9326addba5e39aec8dcd7aa 188218 libgeos-dev_3.3.1-1_i386.deb
 cddf013e7c5bf904e0726a29b2f252ca09eb95a327374b805244c9a187839928 1353166 libgeos++-dev_3.3.1-1_i386.deb
 6334ec0a2d86be7d2df0ac5bbd06b4836e0140cd275ad95dd0911a9c8d67f15f 172896 libgeos-c1_3.3.1-1_i386.deb
 659488d3617dd4bbb0eb6e35f0b1ef12b72df799367f3411e88e15ce0e03a590 667376 libgeos-3.3.1_3.3.1-1_i386.deb
 b7cecc86f69c829a2cc5c9275652df03d5ce9ada82cddbbbd3d6396b05edf73a 330456 libgeos-ruby1.8_3.3.1-1_i386.deb
 98b59d439cfd5e03daeb14b8c9bea0b9467bdfad3c98c99201103b8d38c76dd1 5640296 libgeos-dbg_3.3.1-1_i386.deb
Files: 
 0b9e25432b6000d4b14850e3ccb8e0f0 1550 science optional geos_3.3.1-1.dsc
 f4b63f5d795d740e3406d0746a63b85c 2530795 science optional geos_3.3.1.orig.tar.gz
 efd85b11e2a7d65ed1472b45afe82ef8 11554 science optional geos_3.3.1-1.debian.tar.gz
 9d71ef6d79d97745ad20cf2053fe059b 1613620 doc optional libgeos-doc_3.3.1-1_all.deb
 5302c3638e81d44af3cff248dabc493a 188218 libdevel optional libgeos-dev_3.3.1-1_i386.deb
 2adde4f3cafd0152f5c5fd7001d4ebc6 1353166 libdevel optional libgeos++-dev_3.3.1-1_i386.deb
 a7947be5a0fa9fe1b61e00cb12300d26 172896 libs optional libgeos-c1_3.3.1-1_i386.deb
 d94c9831c99d0e81839d76bd3cfcc9a8 667376 libs optional libgeos-3.3.1_3.3.1-1_i386.deb
 1e1442a9f3aa2f876222328286f20646 330456 ruby optional libgeos-ruby1.8_3.3.1-1_i386.deb
 054040936991f26f844a33b31ac4fe67 5640296 debug extra libgeos-dbg_3.3.1-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk9FHrMACgkQpFNRmenyx0fzggCfUzsW9wIf8abaa/82F+IclT5L
sQsAoPNIXWMZdrx5jFdidMgsEaSCvM3d
=2wuz
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 05 Apr 2012 07:41:04 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 23:26:19 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.